Bug 124613 - FORMATTING: Page Style for First page number shows up a "1.05" (gen)
Summary: FORMATTING: Page Style for First page number shows up a "1.05" (gen)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.2.2 release
Hardware: All All
: medium minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-04-08 15:36 UTC by Uwe Auer
Modified: 2019-04-18 10:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Calc Page Style Diaog shows 1.05 for First page number (34.40 KB, image/png)
2019-04-08 15:36 UTC, Uwe Auer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Uwe Auer 2019-04-08 15:36:37 UTC
Created attachment 150613 [details]
Calc Page Style Diaog shows 1.05 for First page number

Dialog for formatting the page style shows "First page number" as 1.05 - see attachment. Even if changing to "1" next call of the dialog shows again a value of 1.05 for the "First page number" 

Steps to reproduce:
1) Open Calc spreadsheet
2) Move to Format -> Page -> Tab: Sheet
3) Tick (or just watch) "First page number" shows a value of 1.05
4) Change value to "1"
5) Click "Ok" and start over with 2)

Reproducable: Always

Current result:  "First page number" = 1.05
Expected result: "First page number" = 1

Reporters configuration

Version: 6.2.2.2
Build ID: 2b840030fec2aae0fd2658d8d4f9548af4e3518d
CPU threads: 8; OS: Linux 4.12; UI render: default; VCL: kde5; 
Locale: en-US (en_GB); UI-Language: en-US
Calc: threaded

Hint: In the German local the "Erste Seitennummer" shows up as "1,05" using the correct decimal separator.
Comment 1 m.a.riosv 2019-04-08 20:39:12 UTC
Repro
Version: 6.3.0.0.alpha0+ (x64)
Build ID: 421e6fc3cd2e6fe37afbef341e2d0ad7b8edde37
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-04-07_01:12:58
Locale: es-ES (es_ES); UI-Language: en-US
Calc: CL

Not in
Versión: 6.0.7.1 (x64)
Id. de compilación: 5d2cb2a5dd04fe174b336488731eb50bbb5faed3
Subprocs. CPU: 4; SO: Windows 10.0; Repres. IU: GL; 
Configuración regional: es-ES (es_ES); Calc: CL
Comment 2 Xisco Faulí 2019-04-12 09:47:15 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=4ce5d39689fda418e8f2d7d9c1124190b2cbad7a

author	Caolán McNamara <caolanm@redhat.com>	2018-11-14 13:52:06 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2018-11-15 18:17:35 +0100
commit	4ce5d39689fda418e8f2d7d9c1124190b2cbad7a (patch)
tree	1e261f9e2b305fbdf56e3784c6589efbd683755b
parent	9e0a099fb66c303bec0489198ba7cfe770b28684 (diff)
bind SalInstanceSpinButton to FormattedField

Bisected with: bibisect-linux64-6.3

Adding Cc: to Caolán McNamara
Comment 3 Caolán McNamara 2019-04-12 12:01:11 UTC
the GtkAdjustment has a lower of 1.05 all the way back to 2013 and it bit us when the above commit kickedin
Comment 4 Commit Notification 2019-04-12 15:04:47 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/a39596909cffadb53b8d3e698b4c89e11fe121ac%5E%21

Resolves: tdf#124613 stray .05 at end of GtkAdjustment lower value

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-04-12 15:25:19 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/cefdf51bc368d1710d334d722c2d2f597b185b25%5E%21

Resolves: tdf#124613 stray .05 at end of GtkAdjustment lower value

It will be available in 6.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2019-04-15 10:38:57 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 0eaa0804085dd6e93257dd31361490720456679d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!
Comment 7 Uwe Auer 2019-04-18 10:07:54 UTC
Reporter feedback
Fixed in 

Version: 6.2.4.0.0+
Build ID: 1149d20ce9f8682b58f98d3fa3bf289fc5974087
CPU threads: 4; OS: Linux 4.12; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:libreoffice-6-2, Time: 2019-04-17_15:24:43
Locale: de-DE (de_DE.UTF-8); UI-Language: en-US
Calc: threaded

Thanks